# Uses of Enum Class
org.apache.sling.api.resource.runtime.dto.FailureReason

Packages that use FailureReason
Package
Description
org.apache.sling.api.resource.runtime.dto

## Uses of FailureReason in org.apache.sling.api.resource.runtime.dto

Fields in org.apache.sling.api.resource.runtime.dto declared as FailureReason
Modifier and Type
Field
Description
`FailureReason`
ResourceProviderFailureDTO.`reason`
The reason for the failure.
Methods in org.apache.sling.api.resource.runtime.dto that return FailureReason
Modifier and Type
Method
Description
`static FailureReason`
FailureReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FailureReason[]`
FailureReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.